Skip to main content
GET
/
api
/
v1
/
memory
List managed memory configs
curl --request GET \
  --url https://api.example.com/api/v1/memory/
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "agent_framework": "LANGGRAPH",
    "memory": {
      "type": "<string>",
      "db_url": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "agent_count": 0
  }
]

Headers

x-workspace-id
string | null

Query Parameters

limit
integer
default:100
offset
integer
default:0
agent_framework
enum<string> | null

Supported agent frameworks for engine.

Available options:
LANGGRAPH,
ADK,
CREWAI,
HAYSTACK,
CUSTOM,
TRANSLATION_AGENT,
CORRECTION_AGENT,
DEEP_RESEARCH_AGENT

Response

Successful Response

id
string<uuid>
required
name
string
required
agent_framework
enum<string>
required

Agent framework

Available options:
LANGGRAPH,
ADK,
CREWAI,
HAYSTACK,
CUSTOM,
TRANSLATION_AGENT,
CORRECTION_AGENT,
DEEP_RESEARCH_AGENT
memory
SqliteCheckpointConfig · object
required

Configuration for SQLite checkpointer.

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

agent_count
integer
default:0

Number of agents using this memory config

Last modified on March 22, 2026